<?php
    function setear_sesion($indice, $valor)
    {
        global $HTTP_SESSION_VARS;

        //Quita los espacuis al principio y al final:
        $valor = trim($valor);

        //Recoge el valor, si puede, por session:
        if (isset($HTTP_SESSION_VARS)) { $HTTP_SESSION_VARS[$indice] = $valor; }
        else if (isset($_SESSION)) { $_SESSION[$indice] = $valor; }
        else { $$indice = $valor; }

        //Lo decodifica y quita los espacios al principio y al final:
        //$valor = trim(urldecode($valor));
        
        //Si es necesario (si esta activada la directiva magic_quotes_gpc), se le quitan las barras:
        //if (get_magic_quotes_gpc()) { $valor = stripslashes($valor); }

        //Devuelve el valor:
        return $valor;
    }
?>
